package routers

import (
	beego "github.com/beego/beego/v2/server/web"
	"github.com/beego/beego/v2/server/web/context/param"
)

func init() {

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers/data_manage:ChartInfoController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers/data_manage:ChartInfoController"],
        beego.ControllerComments{
            Method: "CommonChartInfoDetailFromUniqueCode",
            Router: `/chart_info/common/detail/from_unique_code`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:ExcelInfoController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:ExcelInfoController"],
        beego.ControllerComments{
            Method: "GetExcelTableData",
            Router: `/excel_info/table_data`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptCommonController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptCommonController"],
        beego.ControllerComments{
            Method: "Download",
            Router: `/download`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptCommonController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptCommonController"],
        beego.ControllerComments{
            Method: "Downloadpptx",
            Router: `/downloadpptx`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptController"],
        beego.ControllerComments{
            Method: "AddPpt",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptController"],
        beego.ControllerComments{
            Method: "AddPptPages",
            Router: `/addPptPages`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptController"],
        beego.ControllerComments{
            Method: "DeletePpt",
            Router: `/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptController"],
        beego.ControllerComments{
            Method: "DetailPpt",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptController"],
        beego.ControllerComments{
            Method: "EditPpt",
            Router: `/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptController"],
        beego.ControllerComments{
            Method: "GetImages",
            Router: `/getImages`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptController"],
        beego.ControllerComments{
            Method: "ListPpt",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishCommonController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishCommonController"],
        beego.ControllerComments{
            Method: "DownloadPptx",
            Router: `/downloadpptx`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "AddPpt",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "GetConfig",
            Router: `/config`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "DeletePpt",
            Router: `/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "DetailPpt",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "EditPpt",
            Router: `/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "Grant",
            Router: `/grant`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "CancelGrant",
            Router: `/grant/cancel`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "GrantInfo",
            Router: `/grant/info`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "ListPpt",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "Publish",
            Router: `/publish`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishController"],
        beego.ControllerComments{
            Method: "SaveLog",
            Router: `/saveLog`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "CopyPpt",
            Router: `/copy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "GrantPptList",
            Router: `/grant/ppt/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "AddGroup",
            Router: `/group/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "CopyGroup",
            Router: `/group/copy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "DeleteGroup",
            Router: `/group/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "MoveGroup",
            Router: `/group/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "GroupNameList",
            Router: `/group/name`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "GroupPptList",
            Router: `/group/ppt/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "SearchGroupPptList",
            Router: `/group/ppt/search`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "RenameGroup",
            Router: `/group/rename`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "ShareGroup",
            Router: `/group/share`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "GroupList",
            Router: `/groups`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "MoveGroupPpt",
            Router: `/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "PptList",
            Router: `/ppt/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "SharePpt",
            Router: `/share`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptEnglishGroupController"],
        beego.ControllerComments{
            Method: "SharePptList",
            Router: `/share/ppt/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2CommonController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2CommonController"],
        beego.ControllerComments{
            Method: "DownloadPptx",
            Router: `/downloadpptx`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "AddPpt",
            Router: `/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "BatchToEn",
            Router: `/batchToEn`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "GetConfig",
            Router: `/config`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "DeletePpt",
            Router: `/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "DetailPpt",
            Router: `/detail`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "EditPpt",
            Router: `/edit`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "Grant",
            Router: `/grant`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "CancelGrant",
            Router: `/grant/cancel`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "GrantInfo",
            Router: `/grant/info`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "ListPpt",
            Router: `/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "Publish",
            Router: `/publish`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "SaveLog",
            Router: `/saveLog`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2Controller"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2Controller"],
        beego.ControllerComments{
            Method: "ToEn",
            Router: `/toEn`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "CopyPpt",
            Router: `/copy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "GrantPptList",
            Router: `/grant/ppt/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "AddGroup",
            Router: `/group/add`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "CopyGroup",
            Router: `/group/copy`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "DeleteGroup",
            Router: `/group/delete`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "MoveGroup",
            Router: `/group/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "GroupNameList",
            Router: `/group/name`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "GroupPptList",
            Router: `/group/ppt/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "SearchGroupPptList",
            Router: `/group/ppt/search`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "RenameGroup",
            Router: `/group/rename`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "ShareGroup",
            Router: `/group/share`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "GroupList",
            Router: `/groups`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "MoveGroupPpt",
            Router: `/move`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "PptList",
            Router: `/ppt/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "SharePpt",
            Router: `/share`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:PptV2GroupController"],
        beego.ControllerComments{
            Method: "SharePptList",
            Router: `/share/ppt/list`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:ResourceController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:ResourceController"],
        beego.ControllerComments{
            Method: "Upload",
            Router: `/image/upload`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:ResourceController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:ResourceController"],
        beego.ControllerComments{
            Method: "UploadV2",
            Router: `/image/uploadV2`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:ResourceController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:ResourceController"],
        beego.ControllerComments{
            Method: "OssSTSToken",
            Router: `/oss/get_sts_token`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:ResourceController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:ResourceController"],
        beego.ControllerComments{
            Method: "WechatWarning",
            Router: `/public/wechat_warning`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:ResourceController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:ResourceController"],
        beego.ControllerComments{
            Method: "UploadImageBase64",
            Router: `/upload_image_base64`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:ResourceController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:ResourceController"],
        beego.ControllerComments{
            Method: "VideoUpload",
            Router: `/video/upload`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:ResourceController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:ResourceController"],
        beego.ControllerComments{
            Method: "VoiceUpload",
            Router: `/voice/upload`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:SysUserAuthController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:SysUserAuthController"],
        beego.ControllerComments{
            Method: "CheckPwd",
            Router: `/check_pwd`,
            AllowHTTPMethods: []string{"get"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

    beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:SysUserController"] = append(beego.GlobalControllerRouter["hongze/hongze_ETA_mobile_api/controllers:SysUserController"],
        beego.ControllerComments{
            Method: "Login",
            Router: `/login`,
            AllowHTTPMethods: []string{"post"},
            MethodParams: param.Make(),
            Filters: nil,
            Params: nil})

}
